Subject: RE: Flow Label

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Fri, 11 Jan 2002 16:14:44 +0100

In message <[email-masked]>, Brian E 
  > Carpenter writes:
  > >Indeed. All of this is the same for the DSCP actually, and the
  > >assumption is that operators will protect themselves with
  > >admission control.
  > >
  > >(See sections 7.1 of RFC 2474 and 6.1 of RFC 2475 for 
  > detailed discussion)
  > >
  > 
  > Right.  The question now is how to do that.  I was about to agree 
  > strongly with the "must send as zero if not a flow, routers 
  > must not modify"
  > until I started thinking along these lines.  What should a border 
  > router do with a packet that doesn't meet its constraints?  
  > I only see 
  > three choices:  reset the flow label to something locally 
  > acceptable, 
  > drop the packet, or tunnel.  But dropping the packet means 
  > that flow 
  > labels can only be used for flows that stay within a 
  > particular flow 
  > label domain, and the tunneling path leads to madness.  
  > (Well, perhaps 
  > to MPLS, but I don't think we want to go down that rathole 
  > now.)  I'm 
  > forced to conclude that we have two choices:  either we 
  > give up on flow 
  > labels entirely, or we permit them to be modified en route.
  > 

=> But as Robert Elz mentioned in a previous email, this 
is the same argument for IP addresses really. All we can 
do is mandate it in the standard, and if routers don't
follow it, then they're breaking communication. 
I realise AH solves the problem for IP addresses, but
how often is it used? or how often is it used specifically
to protect addresses ?
In addition AH is used for e2e integrity, not for 
intermediate routers. Doing something similar for 
intermediate routers is clearly...difficult.

Hesham

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Jim Fleming" <[email-masked]>
Date: Fri, 11 Jan 2002 08:06:10 -0800

----- Original Message -----
From: "Hesham Soliman (ERA)" <[email-masked]>
> follow it, then they're breaking communication.
-----

Some countries have an approach to standards where they "mandate"
and the people all listen and nod their heads without asking questions.
The United States develops standards in the open marketplace. VHS
and Betamax is a good example. NTSC and PAL have an interesting
history.

The Minister of Communication of Canada once pointed out to me that
Canada and the U.S., even though similar in culture, are very different
in this area. He said that Canada can not afford for any of their engineers
to fail, they do not have enough. As a result, the government and various
groups spend enormous amounts of time mandating standards to make
sure that the engineers are endorsed and succeed. He pointed out that
the U.S. is like an arena full of gladiators, and standards are set by the
marketplace. He also pointed out that many Canadians leave Canada to
work in the U.S. because they prefer to see their ideas live of die on their
own merits, rather than the backing of some clueless group that mandates
what they likely do not even understand. The ICANN/IETF crowd is a
perfect example. They can now go to Africa to preach their gospel. In
the U.S. and parts of Canada, people are developing standards in the
marketplace, with rough consensus and working code.

Jim Fleming
2002:[IPv4]:000X:03DB
http://www.IPv8.info